Loading...
Searching...
No Matches
sort_data_handles.h File Reference
`#include <starpu.h>`
`#include <common/config.h>`
`#include <stdlib.h>`
`#include <stdarg.h>`
`#include <core/jobs.h>`
`#include <datawizard/coherency.h>`
`#include <datawizard/memalloc.h>`

Go to the source code of this file.

## Functions

void | _starpu_sort_task_handles (struct _starpu_data_descr descr[], unsigned nbuffers)

## Function Documentation

## _starpu_sort_task_handles()

void _starpu_sort_task_handles | ( | struct _starpu_data_descr | descr[],
|  | unsigned | nbuffers
| ) |  |

To avoid deadlocks, we reorder the different buffers accessed to by the task so that we always grab the rw-lock associated to the handles in the same order.